Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.167.64.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
31.167.64.0
Broadcast address
31.167.79.255
First usable
31.167.64.1
Last usable
31.167.79.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FA74000 · Integer 531054592 to 531058687
Reverse DNS zones
64.167.31.in-addr.arpa
65.167.31.in-addr.arpa
66.167.31.in-addr.arpa
67.167.31.in-addr.arpa
68.167.31.in-addr.arpa
69.167.31.in-addr.arpa
70.167.31.in-addr.arpa
71.167.31.in-addr.arpa
72.167.31.in-addr.arpa
73.167.31.in-addr.arpa
74.167.31.in-addr.arpa
75.167.31.in-addr.arpa
76.167.31.in-addr.arpa
77.167.31.in-addr.arpa
78.167.31.in-addr.arpa
79.167.31.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.10100111.01000000.0000000031.167.64.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00011111.10100111.01000000.0000000031.167.64.0
Broadcast00011111.10100111.01001111.1111111131.167.79.255
Split into smaller subnets/32

31.167.64.0/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.167.64.0/3231.167.64.0 to 31.167.64.0—1
231.167.64.1/3231.167.64.1 to 31.167.64.1—1
331.167.64.2/3231.167.64.2 to 31.167.64.2—1
431.167.64.3/3231.167.64.3 to 31.167.64.3—1
531.167.64.4/3231.167.64.4 to 31.167.64.4—1
631.167.64.5/3231.167.64.5 to 31.167.64.5—1
731.167.64.6/3231.167.64.6 to 31.167.64.6—1
831.167.64.7/3231.167.64.7 to 31.167.64.7—1
931.167.64.8/3231.167.64.8 to 31.167.64.8—1
1031.167.64.9/3231.167.64.9 to 31.167.64.9—1
1131.167.64.10/3231.167.64.10 to 31.167.64.10—1
1231.167.64.11/3231.167.64.11 to 31.167.64.11—1
1331.167.64.12/3231.167.64.12 to 31.167.64.12—1
1431.167.64.13/3231.167.64.13 to 31.167.64.13—1
1531.167.64.14/3231.167.64.14 to 31.167.64.14—1
1631.167.64.15/3231.167.64.15 to 31.167.64.15—1
1731.167.64.16/3231.167.64.16 to 31.167.64.16—1
1831.167.64.17/3231.167.64.17 to 31.167.64.17—1
1931.167.64.18/3231.167.64.18 to 31.167.64.18—1
2031.167.64.19/3231.167.64.19 to 31.167.64.19—1
2131.167.64.20/3231.167.64.20 to 31.167.64.20—1
2231.167.64.21/3231.167.64.21 to 31.167.64.21—1
2331.167.64.22/3231.167.64.22 to 31.167.64.22—1
2431.167.64.23/3231.167.64.23 to 31.167.64.23—1
2531.167.64.24/3231.167.64.24 to 31.167.64.24—1
2631.167.64.25/3231.167.64.25 to 31.167.64.25—1
2731.167.64.26/3231.167.64.26 to 31.167.64.26—1
2831.167.64.27/3231.167.64.27 to 31.167.64.27—1
2931.167.64.28/3231.167.64.28 to 31.167.64.28—1
3031.167.64.29/3231.167.64.29 to 31.167.64.29—1
3131.167.64.30/3231.167.64.30 to 31.167.64.30—1
3231.167.64.31/3231.167.64.31 to 31.167.64.31—1
3331.167.64.32/3231.167.64.32 to 31.167.64.32—1
3431.167.64.33/3231.167.64.33 to 31.167.64.33—1
3531.167.64.34/3231.167.64.34 to 31.167.64.34—1
3631.167.64.35/3231.167.64.35 to 31.167.64.35—1
3731.167.64.36/3231.167.64.36 to 31.167.64.36—1
3831.167.64.37/3231.167.64.37 to 31.167.64.37—1
3931.167.64.38/3231.167.64.38 to 31.167.64.38—1
4031.167.64.39/3231.167.64.39 to 31.167.64.39—1
4131.167.64.40/3231.167.64.40 to 31.167.64.40—1
4231.167.64.41/3231.167.64.41 to 31.167.64.41—1
4331.167.64.42/3231.167.64.42 to 31.167.64.42—1
4431.167.64.43/3231.167.64.43 to 31.167.64.43—1
4531.167.64.44/3231.167.64.44 to 31.167.64.44—1
4631.167.64.45/3231.167.64.45 to 31.167.64.45—1
4731.167.64.46/3231.167.64.46 to 31.167.64.46—1
4831.167.64.47/3231.167.64.47 to 31.167.64.47—1
4931.167.64.48/3231.167.64.48 to 31.167.64.48—1
5031.167.64.49/3231.167.64.49 to 31.167.64.49—1
5131.167.64.50/3231.167.64.50 to 31.167.64.50—1
5231.167.64.51/3231.167.64.51 to 31.167.64.51—1
5331.167.64.52/3231.167.64.52 to 31.167.64.52—1
5431.167.64.53/3231.167.64.53 to 31.167.64.53—1
5531.167.64.54/3231.167.64.54 to 31.167.64.54—1
5631.167.64.55/3231.167.64.55 to 31.167.64.55—1
5731.167.64.56/3231.167.64.56 to 31.167.64.56—1
5831.167.64.57/3231.167.64.57 to 31.167.64.57—1
5931.167.64.58/3231.167.64.58 to 31.167.64.58—1
6031.167.64.59/3231.167.64.59 to 31.167.64.59—1
6131.167.64.60/3231.167.64.60 to 31.167.64.60—1
6231.167.64.61/3231.167.64.61 to 31.167.64.61—1
6331.167.64.62/3231.167.64.62 to 31.167.64.62—1
6431.167.64.63/3231.167.64.63 to 31.167.64.63—1
6531.167.64.64/3231.167.64.64 to 31.167.64.64—1
6631.167.64.65/3231.167.64.65 to 31.167.64.65—1
6731.167.64.66/3231.167.64.66 to 31.167.64.66—1
6831.167.64.67/3231.167.64.67 to 31.167.64.67—1
6931.167.64.68/3231.167.64.68 to 31.167.64.68—1
7031.167.64.69/3231.167.64.69 to 31.167.64.69—1
7131.167.64.70/3231.167.64.70 to 31.167.64.70—1
7231.167.64.71/3231.167.64.71 to 31.167.64.71—1
7331.167.64.72/3231.167.64.72 to 31.167.64.72—1
7431.167.64.73/3231.167.64.73 to 31.167.64.73—1
7531.167.64.74/3231.167.64.74 to 31.167.64.74—1
7631.167.64.75/3231.167.64.75 to 31.167.64.75—1
7731.167.64.76/3231.167.64.76 to 31.167.64.76—1
7831.167.64.77/3231.167.64.77 to 31.167.64.77—1
7931.167.64.78/3231.167.64.78 to 31.167.64.78—1
8031.167.64.79/3231.167.64.79 to 31.167.64.79—1
8131.167.64.80/3231.167.64.80 to 31.167.64.80—1
8231.167.64.81/3231.167.64.81 to 31.167.64.81—1
8331.167.64.82/3231.167.64.82 to 31.167.64.82—1
8431.167.64.83/3231.167.64.83 to 31.167.64.83—1
8531.167.64.84/3231.167.64.84 to 31.167.64.84—1
8631.167.64.85/3231.167.64.85 to 31.167.64.85—1
8731.167.64.86/3231.167.64.86 to 31.167.64.86—1
8831.167.64.87/3231.167.64.87 to 31.167.64.87—1
8931.167.64.88/3231.167.64.88 to 31.167.64.88—1
9031.167.64.89/3231.167.64.89 to 31.167.64.89—1
9131.167.64.90/3231.167.64.90 to 31.167.64.90—1
9231.167.64.91/3231.167.64.91 to 31.167.64.91—1
9331.167.64.92/3231.167.64.92 to 31.167.64.92—1
9431.167.64.93/3231.167.64.93 to 31.167.64.93—1
9531.167.64.94/3231.167.64.94 to 31.167.64.94—1
9631.167.64.95/3231.167.64.95 to 31.167.64.95—1
9731.167.64.96/3231.167.64.96 to 31.167.64.96—1
9831.167.64.97/3231.167.64.97 to 31.167.64.97—1
9931.167.64.98/3231.167.64.98 to 31.167.64.98—1
10031.167.64.99/3231.167.64.99 to 31.167.64.99—1
10131.167.64.100/3231.167.64.100 to 31.167.64.100—1
10231.167.64.101/3231.167.64.101 to 31.167.64.101—1
10331.167.64.102/3231.167.64.102 to 31.167.64.102—1
10431.167.64.103/3231.167.64.103 to 31.167.64.103—1
10531.167.64.104/3231.167.64.104 to 31.167.64.104—1
10631.167.64.105/3231.167.64.105 to 31.167.64.105—1
10731.167.64.106/3231.167.64.106 to 31.167.64.106—1
10831.167.64.107/3231.167.64.107 to 31.167.64.107—1
10931.167.64.108/3231.167.64.108 to 31.167.64.108—1
11031.167.64.109/3231.167.64.109 to 31.167.64.109—1
11131.167.64.110/3231.167.64.110 to 31.167.64.110—1
11231.167.64.111/3231.167.64.111 to 31.167.64.111—1
11331.167.64.112/3231.167.64.112 to 31.167.64.112—1
11431.167.64.113/3231.167.64.113 to 31.167.64.113—1
11531.167.64.114/3231.167.64.114 to 31.167.64.114—1
11631.167.64.115/3231.167.64.115 to 31.167.64.115—1
11731.167.64.116/3231.167.64.116 to 31.167.64.116—1
11831.167.64.117/3231.167.64.117 to 31.167.64.117—1
11931.167.64.118/3231.167.64.118 to 31.167.64.118—1
12031.167.64.119/3231.167.64.119 to 31.167.64.119—1
12131.167.64.120/3231.167.64.120 to 31.167.64.120—1
12231.167.64.121/3231.167.64.121 to 31.167.64.121—1
12331.167.64.122/3231.167.64.122 to 31.167.64.122—1
12431.167.64.123/3231.167.64.123 to 31.167.64.123—1
12531.167.64.124/3231.167.64.124 to 31.167.64.124—1
12631.167.64.125/3231.167.64.125 to 31.167.64.125—1
12731.167.64.126/3231.167.64.126 to 31.167.64.126—1
12831.167.64.127/3231.167.64.127 to 31.167.64.127—1
12931.167.64.128/3231.167.64.128 to 31.167.64.128—1
13031.167.64.129/3231.167.64.129 to 31.167.64.129—1
13131.167.64.130/3231.167.64.130 to 31.167.64.130—1
13231.167.64.131/3231.167.64.131 to 31.167.64.131—1
13331.167.64.132/3231.167.64.132 to 31.167.64.132—1
13431.167.64.133/3231.167.64.133 to 31.167.64.133—1
13531.167.64.134/3231.167.64.134 to 31.167.64.134—1
13631.167.64.135/3231.167.64.135 to 31.167.64.135—1
13731.167.64.136/3231.167.64.136 to 31.167.64.136—1
13831.167.64.137/3231.167.64.137 to 31.167.64.137—1
13931.167.64.138/3231.167.64.138 to 31.167.64.138—1
14031.167.64.139/3231.167.64.139 to 31.167.64.139—1
14131.167.64.140/3231.167.64.140 to 31.167.64.140—1
14231.167.64.141/3231.167.64.141 to 31.167.64.141—1
14331.167.64.142/3231.167.64.142 to 31.167.64.142—1
14431.167.64.143/3231.167.64.143 to 31.167.64.143—1
14531.167.64.144/3231.167.64.144 to 31.167.64.144—1
14631.167.64.145/3231.167.64.145 to 31.167.64.145—1
14731.167.64.146/3231.167.64.146 to 31.167.64.146—1
14831.167.64.147/3231.167.64.147 to 31.167.64.147—1
14931.167.64.148/3231.167.64.148 to 31.167.64.148—1
15031.167.64.149/3231.167.64.149 to 31.167.64.149—1
15131.167.64.150/3231.167.64.150 to 31.167.64.150—1
15231.167.64.151/3231.167.64.151 to 31.167.64.151—1
15331.167.64.152/3231.167.64.152 to 31.167.64.152—1
15431.167.64.153/3231.167.64.153 to 31.167.64.153—1
15531.167.64.154/3231.167.64.154 to 31.167.64.154—1
15631.167.64.155/3231.167.64.155 to 31.167.64.155—1
15731.167.64.156/3231.167.64.156 to 31.167.64.156—1
15831.167.64.157/3231.167.64.157 to 31.167.64.157—1
15931.167.64.158/3231.167.64.158 to 31.167.64.158—1
16031.167.64.159/3231.167.64.159 to 31.167.64.159—1
16131.167.64.160/3231.167.64.160 to 31.167.64.160—1
16231.167.64.161/3231.167.64.161 to 31.167.64.161—1
16331.167.64.162/3231.167.64.162 to 31.167.64.162—1
16431.167.64.163/3231.167.64.163 to 31.167.64.163—1
16531.167.64.164/3231.167.64.164 to 31.167.64.164—1
16631.167.64.165/3231.167.64.165 to 31.167.64.165—1
16731.167.64.166/3231.167.64.166 to 31.167.64.166—1
16831.167.64.167/3231.167.64.167 to 31.167.64.167—1
16931.167.64.168/3231.167.64.168 to 31.167.64.168—1
17031.167.64.169/3231.167.64.169 to 31.167.64.169—1
17131.167.64.170/3231.167.64.170 to 31.167.64.170—1
17231.167.64.171/3231.167.64.171 to 31.167.64.171—1
17331.167.64.172/3231.167.64.172 to 31.167.64.172—1
17431.167.64.173/3231.167.64.173 to 31.167.64.173—1
17531.167.64.174/3231.167.64.174 to 31.167.64.174—1
17631.167.64.175/3231.167.64.175 to 31.167.64.175—1
17731.167.64.176/3231.167.64.176 to 31.167.64.176—1
17831.167.64.177/3231.167.64.177 to 31.167.64.177—1
17931.167.64.178/3231.167.64.178 to 31.167.64.178—1
18031.167.64.179/3231.167.64.179 to 31.167.64.179—1
18131.167.64.180/3231.167.64.180 to 31.167.64.180—1
18231.167.64.181/3231.167.64.181 to 31.167.64.181—1
18331.167.64.182/3231.167.64.182 to 31.167.64.182—1
18431.167.64.183/3231.167.64.183 to 31.167.64.183—1
18531.167.64.184/3231.167.64.184 to 31.167.64.184—1
18631.167.64.185/3231.167.64.185 to 31.167.64.185—1
18731.167.64.186/3231.167.64.186 to 31.167.64.186—1
18831.167.64.187/3231.167.64.187 to 31.167.64.187—1
18931.167.64.188/3231.167.64.188 to 31.167.64.188—1
19031.167.64.189/3231.167.64.189 to 31.167.64.189—1
19131.167.64.190/3231.167.64.190 to 31.167.64.190—1
19231.167.64.191/3231.167.64.191 to 31.167.64.191—1
19331.167.64.192/3231.167.64.192 to 31.167.64.192—1
19431.167.64.193/3231.167.64.193 to 31.167.64.193—1
19531.167.64.194/3231.167.64.194 to 31.167.64.194—1
19631.167.64.195/3231.167.64.195 to 31.167.64.195—1
19731.167.64.196/3231.167.64.196 to 31.167.64.196—1
19831.167.64.197/3231.167.64.197 to 31.167.64.197—1
19931.167.64.198/3231.167.64.198 to 31.167.64.198—1
20031.167.64.199/3231.167.64.199 to 31.167.64.199—1
20131.167.64.200/3231.167.64.200 to 31.167.64.200—1
20231.167.64.201/3231.167.64.201 to 31.167.64.201—1
20331.167.64.202/3231.167.64.202 to 31.167.64.202—1
20431.167.64.203/3231.167.64.203 to 31.167.64.203—1
20531.167.64.204/3231.167.64.204 to 31.167.64.204—1
20631.167.64.205/3231.167.64.205 to 31.167.64.205—1
20731.167.64.206/3231.167.64.206 to 31.167.64.206—1
20831.167.64.207/3231.167.64.207 to 31.167.64.207—1
20931.167.64.208/3231.167.64.208 to 31.167.64.208—1
21031.167.64.209/3231.167.64.209 to 31.167.64.209—1
21131.167.64.210/3231.167.64.210 to 31.167.64.210—1
21231.167.64.211/3231.167.64.211 to 31.167.64.211—1
21331.167.64.212/3231.167.64.212 to 31.167.64.212—1
21431.167.64.213/3231.167.64.213 to 31.167.64.213—1
21531.167.64.214/3231.167.64.214 to 31.167.64.214—1
21631.167.64.215/3231.167.64.215 to 31.167.64.215—1
21731.167.64.216/3231.167.64.216 to 31.167.64.216—1
21831.167.64.217/3231.167.64.217 to 31.167.64.217—1
21931.167.64.218/3231.167.64.218 to 31.167.64.218—1
22031.167.64.219/3231.167.64.219 to 31.167.64.219—1
22131.167.64.220/3231.167.64.220 to 31.167.64.220—1
22231.167.64.221/3231.167.64.221 to 31.167.64.221—1
22331.167.64.222/3231.167.64.222 to 31.167.64.222—1
22431.167.64.223/3231.167.64.223 to 31.167.64.223—1
22531.167.64.224/3231.167.64.224 to 31.167.64.224—1
22631.167.64.225/3231.167.64.225 to 31.167.64.225—1
22731.167.64.226/3231.167.64.226 to 31.167.64.226—1
22831.167.64.227/3231.167.64.227 to 31.167.64.227—1
22931.167.64.228/3231.167.64.228 to 31.167.64.228—1
23031.167.64.229/3231.167.64.229 to 31.167.64.229—1
23131.167.64.230/3231.167.64.230 to 31.167.64.230—1
23231.167.64.231/3231.167.64.231 to 31.167.64.231—1
23331.167.64.232/3231.167.64.232 to 31.167.64.232—1
23431.167.64.233/3231.167.64.233 to 31.167.64.233—1
23531.167.64.234/3231.167.64.234 to 31.167.64.234—1
23631.167.64.235/3231.167.64.235 to 31.167.64.235—1
23731.167.64.236/3231.167.64.236 to 31.167.64.236—1
23831.167.64.237/3231.167.64.237 to 31.167.64.237—1
23931.167.64.238/3231.167.64.238 to 31.167.64.238—1
24031.167.64.239/3231.167.64.239 to 31.167.64.239—1
24131.167.64.240/3231.167.64.240 to 31.167.64.240—1
24231.167.64.241/3231.167.64.241 to 31.167.64.241—1
24331.167.64.242/3231.167.64.242 to 31.167.64.242—1
24431.167.64.243/3231.167.64.243 to 31.167.64.243—1
24531.167.64.244/3231.167.64.244 to 31.167.64.244—1
24631.167.64.245/3231.167.64.245 to 31.167.64.245—1
24731.167.64.246/3231.167.64.246 to 31.167.64.246—1
24831.167.64.247/3231.167.64.247 to 31.167.64.247—1
24931.167.64.248/3231.167.64.248 to 31.167.64.248—1
25031.167.64.249/3231.167.64.249 to 31.167.64.249—1
25131.167.64.250/3231.167.64.250 to 31.167.64.250—1
25231.167.64.251/3231.167.64.251 to 31.167.64.251—1
25331.167.64.252/3231.167.64.252 to 31.167.64.252—1
25431.167.64.253/3231.167.64.253 to 31.167.64.253—1
25531.167.64.254/3231.167.64.254 to 31.167.64.254—1
25631.167.64.255/3231.167.64.255 to 31.167.64.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses